| Home | Libraries | People | FAQ | More

##### io_service::run_one (1 of 2 overloads)

Run the `io_service` object's event processing loop to execute at most one handler.

    std::size_t run_one();

The `run_one()` function blocks until one handler has been dispatched, or until the `io_service` has been stopped.

###### Return Value

The number of handlers that were executed.

###### Exceptions

boost::system::system_error

  Thrown on failure.